Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[Request] Update knockout.js to version 3.3.0 #939

Closed
hellow554 opened this issue Jun 18, 2015 · 2 comments

Comments

Projects
None yet
3 participants
@hellow554
Copy link

commented Jun 18, 2015

For my current application it would be nice to use knockout in version 3.3 (because of this bug). I downloaded it and renamed it to knockout.js, restarted octoprint and everything runs like before. No errors in console, no visible crap.
I admit, that this needs further investigation, but at first glance, it works fine.

Knockout.js takes backward compatibility seriously. If you’re using a recent v2.x build, you will typically be able to drop in Knockout v3.0.0 without having to make any changes to your application code. Version 3.0.0 is intended to be fully backward-compatible except for a few carefully chosen design changes that enable major new features or fix longstanding issues.

@foosel

This comment has been minimized.

Copy link
Owner

commented Jun 18, 2015

I'm a bit worried about http://knockoutjs.com/upgrade-notes/v3.0.0.html#checked-binding-uses-strict-equality and would like to evaluate this a bit myself, so this is nothing I'll put into 1.2.0. However I'll put it on the TODO list for 1.2.1

@foosel foosel added this to the 1.2.1 milestone Jun 18, 2015

@foosel foosel modified the milestones: 1.3.0, 1.2.1 Jun 30, 2015

foosel added a commit that referenced this issue Jan 27, 2016

@foosel

This comment has been minimized.

Copy link
Owner

commented Feb 2, 2016

Updated in maintenance and devel branches, will become part of 1.2.9

@foosel foosel closed this Feb 2, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.